package _VisualDVM.TestingSystem.DVM.DVMConfiguration.UI;
import Common.Visual.TextField.StyledTextField;
import Common.Visual.Windows.Dialog.DialogFields;
import _VisualDVM.Constants;

import javax.swing.*;
import java.awt.*;
public class DVMConfigurationFields implements DialogFields {
    public JTextField tfName;
    public JSpinner sCompilationMaxtime;
    public JSpinner sRunMaxtime;
    public JSpinner sKernels;
    public JCheckBox cbGroupsOnly;
    //-
    private JPanel content;
    public DVMConfigurationFields() {
        sCompilationMaxtime.setModel(new SpinnerNumberModel(40,
                5, 3600, 1
        ));
        sRunMaxtime.setModel(new SpinnerNumberModel(40,
                5, 3600, 1
        ));
        sKernels.setModel(new SpinnerNumberModel(1, 1,
                Constants.testingMaxKernels,
                1));
    }
    @Override
    public Component getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        tfName = new StyledTextField();
    }
}
